Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar.phonetic_complement
Class PhoneticComplement

    java.lang.Object
      org.kemet.impl.grammar.phonetic_complement.PhoneticComplement

    public class PhoneticComplement

extends java.lang.Object

Since:
  0.2
Author:
  fabricemaupin

  PhoneticComplement : manage informations about phonetic complement.

Constructor Summary
`PhoneticComplement(int number, java.util.HashMap ht, java.util.Hashtable<java.lang.String,java.lang.String> signInfo, java.util.HashMap args)` initialize phonetic complement.

Method Summary
`boolean` | `isFormatSupported(java.lang.String format)` the format is it supported ?
`java.lang.String` | `processTransliteration(java.lang.String transliteration)` treat the transliteration (analyse and purify it if phonetic complements).
`java.util.ArrayList` | `processTransliterationFirstStep(java.lang.String transliteration)` process transliteration to find and remove phonetic complements.
`java.lang.String` | `purifyTransliterationWithSF(java.util.ArrayList transliterationI)` remove all phonetic complements.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhoneticComplement

    public PhoneticComplement(int number,
                              java.util.HashMap ht,
                              java.util.Hashtable<java.lang.String,java.lang.String> signInfo,
                              java.util.HashMap args)
                       throws KemetAPIException

  initialize phonetic complement.

  Parameters:
    `number` - number of consomns (bilitere = 2 for example)
    `ht` - list
    `signInfo` - informations about signs
    `args` - list of arguments
  Throws:
    `KemetAPIException` - see KEMET_DATA : SupportedSequenceFormats.xml file
  Since:
    0.2

Method Detail

### processTransliteration

    public java.lang.String processTransliteration(java.lang.String transliteration)

  treat the transliteration (analyse and purify it if phonetic complements).

  Parameters:
    `transliteration` - transliteration to treat
  Returns:
    treated transliteration
  Since:
    0.1

### processTransliterationFirstStep

    public java.util.ArrayList processTransliterationFirstStep(java.lang.String transliteration)

  process transliteration to find and remove phonetic complements.

  Parameters:
    `transliteration` - to process
  Returns:
    informations about transliteration before purify process
  Since:
    0.2

### isFormatSupported

    public boolean isFormatSupported(java.lang.String format)

  the format is it supported ?

  Parameters:
    `format` - to test
  Returns:
    true / false
  Since:
    0.2

### purifyTransliterationWithSF

    public java.lang.String purifyTransliterationWithSF(java.util.ArrayList transliterationI)

  remove all phonetic complements.

  Parameters:
    `transliterationI` - informations about transliteration to process
  Returns:
    Sequence Format (without phonetic complements)
  Since:
    0.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.